%bcond_with check

# NOTE(hguemar): discussed with maintainer to allow rebuild on RHEL/CentOS
# No impact on Fedora/EPEL!

Name:           python-extras
Version:        1.0.0
Release:        1%{?dist}
Summary:        Useful extra bits for Python

License:        MIT
URL:            https://github.com/testing-cabal/extras
Source0:        https://pypi.io/packages/source/e/extras/extras-%{version}.tar.gz

BuildArch:      noarch

%global _description\
extras is a set of extensions to the Python standard library, originally\
written to make the code within testtools cleaner, but now split out for\
general use outside of a testing context.\

%description %_description

%package -n python3-extras
Summary:        %summary
%{?python_provide:%python_provide python3-extras}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with check}
BuildRequires:  python3-testtools
%endif

%description -n python3-extras %_description

%prep
%setup -q -n extras-%{version}
# Remove bundled egg-info
rm -vrf *.egg-info

%build
%py3_build

%install
%py3_install

%if %{with check}
%check
%{__python3} setup.py test
%endif

%files -n python3-extras
%license LICENSE
%doc NEWS README.rst
%{python3_sitelib}/extras/
%{python3_sitelib}/extras-*.egg-info/

%changelog
* Thu Apr  9 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.0.0-1
- Initial EPEL 8 package
- Temporarily disabling tests for bootstrapping
